From ec0017bf86606f87703a2b8345f49dc0eebf363c Mon Sep 17 00:00:00 2001
From: Torsten Polle <Torsten.Polle@gmx.de>
Date: Sun, 24 May 2020 10:49:35 +0200
Subject: [PATCH] PR11599: Fix: STAPCONF_TRACEPOINT_HAS_DATA already defined.

---
 runtime/linux/stp_tracepoint.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/runtime/linux/stp_tracepoint.h b/runtime/linux/stp_tracepoint.h
index cb8d335..e66cd4f 100644
--- a/runtime/linux/stp_tracepoint.h
+++ b/runtime/linux/stp_tracepoint.h
@@ -21,7 +21,9 @@
  * Since NOARGS was removed in 5.7.0, this configuration is now also
  * checked with autoconf-tracepoint-has-data.c. */
 #ifdef DECLARE_TRACE_NOARGS
-#define STAPCONF_TRACEPOINT_HAS_DATA
+#  ifndef STAPCONF_TRACEPOINT_HAS_DATA
+#    define STAPCONF_TRACEPOINT_HAS_DATA
+#  endif
 #endif
 
 
-- 
2.7.4

